<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_PageBuilder:etc/content_type.xsd">
    <type name="filoblu_scratch_win_children"
          label="FB Scratch and win children"
          component="Magento_PageBuilder/js/content-type"
          preview_component="FiloBlu_Refilo/js/content-type/preview"
          form="pagebuilder_filoblu_scratch_win_children_form"
          menu_section="layout"
          icon="icon-pagebuilder-row"
          translate="label">
        <parents default_policy="deny">
            <parent name="filoblu_scratch_win" policy="allow"/>
        </parents>
        <children default_policy="allow"/>
        <is_system>false</is_system>
        <appearances>
            <appearance default="true"
                        name="default"
                        preview_template="FiloBlu_Refilo/content-type/filoblu-scratch-win-children/default/preview"
                        master_template="FiloBlu_Refilo/content-type/filoblu-scratch-win-children/default/master"
                        reader="Magento_PageBuilder/js/master-format/read/configurable">
                <elements>
                    <element name="main">
                        <attribute name="name" source="data-content-type"/>
                        <css name="css_classes"/>
                        <style name="display" source="display" converter="Magento_PageBuilder/js/converter/style/display" preview_converter="Magento_PageBuilder/js/converter/style/preview/display"/>
                        <style name="margins" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/margins" converter="Magento_PageBuilder/js/converter/style/margins"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <static_style source="min-height" value="50px"/>
                        <style name="background_color" source="background_color"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <attribute name="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="appearance" source="data-appearance"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <attribute name="short_display_text" source="data-short-display-text"/>
                        <attribute name="long_display_text" source="data-long-display-text"/>
                        <attribute name="out_display_text" source="data-out-display-text"/>
                        <attribute name="overlay_image" source="data-overlay-image"  converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="scratch_bg_image" source="data-scratch-bg-image"  converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="scratched_image" source="data-scratched-image"  converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="final_date" source="data-final-date"/>
                        <attribute name="final_time" source="data-final-time"/>
                        <attribute name="promocode" source="data-promocode"/>
                        <attribute name="scratch_cta" reader="FiloBlu_Refilo/js/property/link" persistence_mode="read"/>
                        <attribute name="scratch_cta_href" storage_key="scratch_cta" source="data-scratch-cta-href" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="scratch_cta_target" storage_key="scratch_cta" source="data-scratch-cta-target" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="scratch_cta_type" storage_key="scratch_cta" source="data-scratch-cta-type" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <css name="css_classes"/>
                    </element>
                </elements>
            </appearance>
        </appearances>
    </type>
</config>
